<?php

namespace App\Repositories;

use App\Models\BondDesign;
use App\Repositories\BaseRepository;

/**
 * Class BondDesignRepository
 * @package App\Repositories
 * @version November 9, 2019, 6:22 pm UTC
*/

class BondDesignRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return BondDesign::class;
    }
}
